Bug 1265211 - Data modeler, Usages modal: table is empty until user moves cursor/pointer
Data modeler, Usages modal: table is empty until user moves cursor/pointer
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.2.0
Assigned To: Walter Medvedeo
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 07:47 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2015-09-22 07:47:06 EDT
Description of problem:
See Summary and Steps to Reproduce.


Version-Release number of selected component (if applicable):
6.2


Steps to Reproduce:
1. Create data model - two data objects, A and B, where A has a field of type B.
2. Open data modeler for B.
3. Very carefully click on Delete, making sure you do not move your (mouse) pointer after you press the button.
4. Move the (mouse) pointer.


Actual results:
Step 3. Usages modal appears, but the table remains empty.
Step 4. The table shows one row with data object A.


Expected results:
Step 3. Usages modal appears, table shows one row with data object A.
Comment 1 Walter Medvedeo 2015-10-02 06:08:47 EDT
fixed in the following commits:

master: http://github.com/droolsjbpm/kie-wb-common/commit/883419e8b

6.3.x:  http://github.com/droolsjbpm/kie-wb-common/commit/0ec171e79
Comment 2 Tomas David 2015-11-10 02:32:45 EST
Verified on 6.2.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.